Package org.opensaml.xmlsec.encryption.impl

# Class ReferenceListImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.ReferenceListImpl

All Implemented Interfaces:
  `XMLObject`, `ReferenceList`

public class ReferenceListImpl extends AbstractXMLObject implements ReferenceList
Concrete implementation of `ReferenceList`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<ReferenceType>`
`indexedChildren`
ReferenceType child elements.

### Fields inherited from interface org.opensaml.xmlsec.encryption.ReferenceList

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ReferenceListImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<DataReference>`
`getDataReferences()`
Get the list of data reference child elements.
`List<KeyReference>`
`getKeyReferences()`
Get the list of key reference child elements.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<ReferenceType>`
`getReferences()`
Get the list of reference child elements.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### indexedChildren

@Nonnull private final IndexedXMLObjectChildrenList<ReferenceType> indexedChildren
ReferenceType child elements.

## Constructor Details

### ReferenceListImpl

protected ReferenceListImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getReferences

@Nonnull @Live public List<ReferenceType> getReferences()
Get the list of reference child elements.

Specified by:
  `getReferences` in interface `ReferenceList`
Returns:
  the list of reference child elements

### getDataReferences

@Nonnull @Live public List<DataReference> getDataReferences()
Get the list of data reference child elements.

Specified by:
  `getDataReferences` in interface `ReferenceList`
Returns:
  the list of data reference child elements

### getKeyReferences

@Nonnull @Live public List<KeyReference> getKeyReferences()
Get the list of key reference child elements.

Specified by:
  `getKeyReferences` in interface `ReferenceList`
Returns:
  the list of key reference child elements

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements